MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023326Community[OCCT] OCCT:Application Frameworkpublic2012-07-18 16:482012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023326: The 'aSibling' pointer was utilized before it was verified against nullptr. ldom_element.cxx
DescriptionIn line 82 the pointer is used and in line 86 verified against NULL.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021053)
Pawel (developer)
2012-07-18 16:51

Corresponding git branch pushed. Please review.
(0021077)
abv (manager)
2012-07-19 19:45

No remarks, please test
(0021130)
apn (administrator)
2012-07-23 17:41

Dear BugMaster,
The workbenches
KAS:dev:mkv-23326-occt (GIT branch CR23326)
KAS:dev:mkv-23326-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23326-products_20072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master d28abc65
Timestamp: 2012-07-18 12:50:45
Author: Pawel
Details ] Diff ]
0023326: The 'aSibling' pointer was utilized before it was verified against nullptr. ldom_element.cxx

Verifying pointer against NULL before accessing it.
mod - src/LDOM/LDOM_Element.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 16:48 Pawel New Issue
2012-07-18 16:48 Pawel Assigned To => Pawel
2012-07-18 16:51 Pawel Note Added: 0021053
2012-07-18 16:51 Pawel Assigned To Pawel => bugmaster
2012-07-18 16:51 Pawel Status new => resolved
2012-07-19 19:45 abv Note Added: 0021077
2012-07-19 19:45 abv Status resolved => reviewed
2012-07-20 11:32 mkv Assigned To bugmaster => mkv
2012-07-23 17:41 apn Note Added: 0021130
2012-07-23 17:42 apn Test case number => Not needed
2012-07-23 17:42 apn Assigned To mkv => bugmaster
2012-07-23 17:42 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master d28abc65
2012-07-30 16:33 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:33 Pawel Status tested => verified
2012-07-30 16:33 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker